curl --request PUT \
--url https://api.ca-1.documents.resistant.ai/v2/submission/{submission_id}/characteristics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_characteristics": {
"document_type_string": "<string>",
"issuing_country_code": "<string>",
"document_id": "<string>",
"document_filename": "<string>",
"document_score": "<string>",
"status": "<string>",
"document_position_on_image": {
"corner_1": {
"x": 123,
"y": 123
},
"corner_2": {
"x": 123,
"y": 123
},
"corner_3": {
"x": 123,
"y": 123
},
"corner_4": {
"x": 123,
"y": 123
}
}
},
"device_characteristics": {
"device_ip_address": "<string>",
"server_ip_address": "<string>",
"country_code": "GBR",
"country_name": "<string>",
"city": "<string>",
"postal_code": "<string>",
"gcs_latitude": "38.77554692",
"gcs_longitude": "-75.1396939",
"isp": "<string>",
"referer": "<string>",
"user_agent": "Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0",
"browser_description": "<string>",
"device_platform": "<string>",
"device_language": "en",
"screen_height": 123,
"screen_width": 123,
"device_fingerprint": "<string>"
},
"identity_characteristics": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"user_id": "<string>",
"user_group_id": "<string>",
"phone_number": "<string>",
"date_of_birth": "2020-01-30"
},
"transaction_characteristics": {
"amount_usd": 120.5,
"maturity_days": 60
},
"email_characteristics": {
"originator_address_hashes": [
"2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824"
],
"originator_domain_hashes": [
"486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"
],
"subject_hash": "bbcfcbdecdfec348f558015cc36d01ab27081c2cef9dad3e44d9277b46de2f72",
"number_of_recipients": 1,
"recipient_hashes": [
"486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"
],
"body_embedding": "<string>",
"subject_embedding": "<string>"
},
"claims_characteristics": {
"claim_number": "<string>",
"policy_number": "<string>",
"insurance_type": "<string>",
"incident_date": "2020-01-30",
"reported_date": "2020-01-30",
"incident_description": "<string>",
"incident_location": "<string>",
"claim_value": 1729.2
},
"submission_time": "<string>",
"customer_tenant_id": "<string>",
"customer_case_id": "<string>"
}
'import requests
url = "https://api.ca-1.documents.resistant.ai/v2/submission/{submission_id}/characteristics"
payload = {
"document_characteristics": {
"document_type_string": "<string>",
"issuing_country_code": "<string>",
"document_id": "<string>",
"document_filename": "<string>",
"document_score": "<string>",
"status": "<string>",
"document_position_on_image": {
"corner_1": {
"x": 123,
"y": 123
},
"corner_2": {
"x": 123,
"y": 123
},
"corner_3": {
"x": 123,
"y": 123
},
"corner_4": {
"x": 123,
"y": 123
}
}
},
"device_characteristics": {
"device_ip_address": "<string>",
"server_ip_address": "<string>",
"country_code": "GBR",
"country_name": "<string>",
"city": "<string>",
"postal_code": "<string>",
"gcs_latitude": "38.77554692",
"gcs_longitude": "-75.1396939",
"isp": "<string>",
"referer": "<string>",
"user_agent": "Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0",
"browser_description": "<string>",
"device_platform": "<string>",
"device_language": "en",
"screen_height": 123,
"screen_width": 123,
"device_fingerprint": "<string>"
},
"identity_characteristics": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"user_id": "<string>",
"user_group_id": "<string>",
"phone_number": "<string>",
"date_of_birth": "2020-01-30"
},
"transaction_characteristics": {
"amount_usd": 120.5,
"maturity_days": 60
},
"email_characteristics": {
"originator_address_hashes": ["2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824"],
"originator_domain_hashes": ["486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"],
"subject_hash": "bbcfcbdecdfec348f558015cc36d01ab27081c2cef9dad3e44d9277b46de2f72",
"number_of_recipients": 1,
"recipient_hashes": ["486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7"],
"body_embedding": "<string>",
"subject_embedding": "<string>"
},
"claims_characteristics": {
"claim_number": "<string>",
"policy_number": "<string>",
"insurance_type": "<string>",
"incident_date": "2020-01-30",
"reported_date": "2020-01-30",
"incident_description": "<string>",
"incident_location": "<string>",
"claim_value": 1729.2
},
"submission_time": "<string>",
"customer_tenant_id": "<string>",
"customer_case_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_characteristics: {
document_type_string: '<string>',
issuing_country_code: '<string>',
document_id: '<string>',
document_filename: '<string>',
document_score: '<string>',
status: '<string>',
document_position_on_image: {
corner_1: {x: 123, y: 123},
corner_2: {x: 123, y: 123},
corner_3: {x: 123, y: 123},
corner_4: {x: 123, y: 123}
}
},
device_characteristics: {
device_ip_address: '<string>',
server_ip_address: '<string>',
country_code: 'GBR',
country_name: '<string>',
city: '<string>',
postal_code: '<string>',
gcs_latitude: '38.77554692',
gcs_longitude: '-75.1396939',
isp: '<string>',
referer: '<string>',
user_agent: 'Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0',
browser_description: '<string>',
device_platform: '<string>',
device_language: 'en',
screen_height: 123,
screen_width: 123,
device_fingerprint: '<string>'
},
identity_characteristics: {
first_name: '<string>',
last_name: '<string>',
email: '<string>',
user_id: '<string>',
user_group_id: '<string>',
phone_number: '<string>',
date_of_birth: '2020-01-30'
},
transaction_characteristics: {amount_usd: 120.5, maturity_days: 60},
email_characteristics: {
originator_address_hashes: ['2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824'],
originator_domain_hashes: ['486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7'],
subject_hash: 'bbcfcbdecdfec348f558015cc36d01ab27081c2cef9dad3e44d9277b46de2f72',
number_of_recipients: 1,
recipient_hashes: ['486ea46224d1bb4fb680f34f7c9ad96a8f24ec88be73ea8e5a6c65260e9cb8a7'],
body_embedding: '<string>',
subject_embedding: '<string>'
},
claims_characteristics: {
claim_number: '<string>',
policy_number: '<string>',
insurance_type: '<string>',
incident_date: '2020-01-30',
reported_date: '2020-01-30',
incident_description: '<string>',
incident_location: '<string>',
claim_value: 1729.2
},
submission_time: '<string>',
customer_tenant_id: '<string>',
customer_case_id: '<string>'
})
};
fetch('https://api.ca-1.documents.resistant.ai/v2/submission/{submission_id}/characteristics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Add submission characteristics [ca-1]
Attach submission characteristics to the submission. Submission characteristics are properties associated with the original document submission by the end user.
In property descriptions, “user” refers to the person who submitted the document, and “customer” refers to the organization using the Documents API.
This endpoint can only be called if enable_submission_characteristics was set to true when creating the submission. When enabled, submitting characteristics is required before analysis begins.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
Properties associated with the original document submission by the end user.
Properties associated with the analyzed document.
Show child attributes
Show child attributes
Properties associated with the device used to submit the document.
Show child attributes
Show child attributes
Properties identifying the user who submitted the document.
Show child attributes
Show child attributes
Properties of a transaction between the user and customer, e.g., load or purchase.
Show child attributes
Show child attributes
Properties of an email interaction between the user and customer, e.g. email or subject hashes.
Show child attributes
Show child attributes
Properties of an insurance claim.
Show child attributes
Show child attributes
Time of document submission by the end user
Customer-assigned identifier for a tenant or merchant. Must not contain PII. Used to separate data by tenant for monitoring and configuration.
1024Customer-assigned case identifier. Must not contain PII. Used to track document resubmissions.
1024Response
Submission characteristics were submitted successfully
Was this page helpful?